org.apache.cassandra.repair

## Class SystemDistributedKeyspace

- java.lang.Object
- - org.apache.cassandra.repair.SystemDistributedKeyspace

    public final class SystemDistributedKeyspace
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `PARENT_REPAIR_HISTORY`
`static java.lang.String` `REPAIR_HISTORY`
`static java.lang.String` `VIEW_BUILD_STATUS`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `failedRepairJob(java.util.UUID id, java.lang.String keyspaceName, java.lang.String cfname, java.lang.Throwable t)`
`static void` `failParentRepair(java.util.UUID parent_id, java.lang.Throwable t)`
`static void` `failRepairs(java.util.UUID id, java.lang.String keyspaceName, java.lang.String[] cfnames, java.lang.Throwable t)`
`static void` `forceBlockingFlush(java.lang.String table)`
`static KeyspaceMetadata` `metadata()`
`static void` `setViewRemoved(java.lang.String keyspaceName, java.lang.String viewName)`
`static void` `startParentRepair(java.util.UUID parent_id, java.lang.String keyspaceName, java.lang.String[] cfnames, RepairOption options)`
`static void` `startRepairs(java.util.UUID id, java.util.UUID parent_id, java.lang.String keyspaceName, java.lang.String[] cfnames, java.util.Collection<Range<Token>> ranges, java.lang.Iterable<java.net.InetAddress> endpoints)`
`static void` `startViewBuild(java.lang.String keyspace, java.lang.String view, java.util.UUID hostId)`
`static void` `successfulParentRepair(java.util.UUID parent_id, java.util.Collection<Range<Token>> successfulRanges)`
`static void` `successfulRepairJob(java.util.UUID id, java.lang.String keyspaceName, java.lang.String cfname)`
`static void` `successfulViewBuild(java.lang.String keyspace, java.lang.String view, java.util.UUID hostId)`
`static java.util.Map<java.util.UUID,java.lang.String>` `viewStatus(java.lang.String keyspace, java.lang.String view)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REPAIR_HISTORY

    public static final java.lang.String REPAIR_HISTORY

See Also:
  Constant Field Values

#### PARENT_REPAIR_HISTORY

    public static final java.lang.String PARENT_REPAIR_HISTORY

See Also:
  Constant Field Values

#### VIEW_BUILD_STATUS

    public static final java.lang.String VIEW_BUILD_STATUS

See Also:
  Constant Field Values

### Method Detail

#### metadata

    public static KeyspaceMetadata metadata()

#### startParentRepair

    public static void startParentRepair(java.util.UUID parent_id,
                                         java.lang.String keyspaceName,
                                         java.lang.String[] cfnames,
                                         RepairOption options)

#### failParentRepair

    public static void failParentRepair(java.util.UUID parent_id,
                                        java.lang.Throwable t)

#### successfulParentRepair

    public static void successfulParentRepair(java.util.UUID parent_id,
                                              java.util.Collection<Range<Token>> successfulRanges)

#### startRepairs

    public static void startRepairs(java.util.UUID id,
                                    java.util.UUID parent_id,
                                    java.lang.String keyspaceName,
                                    java.lang.String[] cfnames,
                                    java.util.Collection<Range<Token>> ranges,
                                    java.lang.Iterable<java.net.InetAddress> endpoints)

#### failRepairs

    public static void failRepairs(java.util.UUID id,
                                   java.lang.String keyspaceName,
                                   java.lang.String[] cfnames,
                                   java.lang.Throwable t)

#### successfulRepairJob

    public static void successfulRepairJob(java.util.UUID id,
                                           java.lang.String keyspaceName,
                                           java.lang.String cfname)

#### failedRepairJob

    public static void failedRepairJob(java.util.UUID id,
                                       java.lang.String keyspaceName,
                                       java.lang.String cfname,
                                       java.lang.Throwable t)

#### startViewBuild

    public static void startViewBuild(java.lang.String keyspace,
                                      java.lang.String view,
                                      java.util.UUID hostId)

#### successfulViewBuild

    public static void successfulViewBuild(java.lang.String keyspace,
                                           java.lang.String view,
                                           java.util.UUID hostId)

#### viewStatus

    public static java.util.Map<java.util.UUID,java.lang.String> viewStatus(java.lang.String keyspace,
                                                                            java.lang.String view)

#### setViewRemoved

    public static void setViewRemoved(java.lang.String keyspaceName,
                                      java.lang.String viewName)

#### forceBlockingFlush

    public static void forceBlockingFlush(java.lang.String table)